function [d] = bisection_method(speed_est, tvho, wlan_radius, desired_pf)

eps = 1e-5;
left = -5;
right = 140;
func = @(x) ( 0.5*pi - x/(speed_est*tvho) ) ./ ( 0.5*pi - 2*x/sqrt(4*x^2+wlan_radius^2) ) - desired_pf;

while ( abs(right-left) > 2*eps )
    mid = (right + left) / 2;
    
    f_left = func(left);
    f_mid = func(mid);
    if ( f_left * f_mid ) < 0
        right = mid;
    else
        f_right = func(right);
        if ( f_right * f_mid ) < 0
            left = mid;
        else
            break;
        end
    end
end

d = mid;