function head(MN_count, weight_seq)
tic
rng('shuffle'); %%%%%%%%%%%%% REMEMBER to re-seed random generator

fid = fopen('iter_count.txt', 'r');
tline = fgetl(fid);
cell_array = textscan(tline, '%n');
cell_array_num = cell_array{:}';
iter_count = cell_array_num(1);
fclose(fid);
clear fid cell_array cell_array_num tline;

if ischar(MN_count),   MN_count    = str2double(MN_count);    end
if ischar(weight_seq), weight_seq  = str2double(weight_seq);  end

percent_traffic_difference = 0;
mean_wlan_users = 0;
mean_social_wlan_users = 0;
mean_admission_prob = 0;
s = ['padm-', num2str(MN_count), '-', num2str(weight_seq), '.mat'];

for i = 1 : iter_count
    disp([s, ' => iter : ', num2str(i)]);
    [diff_tr, mean_usr, mean_social_usr, mean_padm] = topology(-1, MN_count, weight_seq);
    percent_traffic_difference = percent_traffic_difference + diff_tr;
    mean_wlan_users = mean_wlan_users + mean_usr;
    mean_social_wlan_users = mean_social_wlan_users + mean_social_usr;
    mean_admission_prob = mean_admission_prob + mean_padm;
end
percent_traffic_difference = percent_traffic_difference ./ iter_count;
mean_wlan_users = mean_wlan_users ./ iter_count;
mean_social_wlan_users = mean_social_wlan_users ./ iter_count;
mean_admission_prob = mean_admission_prob ./ iter_count;

save(s, 'MN_count', 'weight_seq', 'percent_traffic_difference', ...
        'mean_wlan_users', 'mean_social_wlan_users', 'mean_admission_prob');
disp(['~~~~~~~~~~~~~~ ', s, ' ~~~~~~~~~~~~~~ SAVED ~~~~~~~~~~~~~~~~~']);
toc

% percent_localized_traffic = zeros(1,length(traffic_ratio_thresh));
% mean_users_in_wlan = zeros(1,length(traffic_ratio_thresh));
% for j = 1 : length(traffic_ratio_thresh)
%     for i = 1 : iter_count
%         disp(['thresh : ', num2str(traffic_ratio_thresh(j)), ' => iter : ', num2str(i)]);
%         [local_tr, mean_usr] = topology(traffic_ratio_thresh(j), MN_count);
%         percent_localized_traffic(j) = percent_localized_traffic(j) + local_tr;
%         mean_users_in_wlan(j) = mean_users_in_wlan(j) + mean_usr;
%     end
%     
%     percent_localized_traffic(j) = percent_localized_traffic(j) ./ iter_count;
%     mean_users_in_wlan(j) = mean_users_in_wlan(j) ./ iter_count;
% end
% toc;
% save('results-gofaster.mat', 'percent_localized_traffic', 'mean_users_in_wlan');