function p = pareto_rand (len)

% Pareto distribution parameters: mode and shape
% range of distribution is [mode, infinity)
% density function, PDF(x) = ( shape * mode^(sahpe) ) / ( x^(shape+1) )
% mean value, mean(x) = (mode * shape) / (shape-1); only for shape > 1
% Random pareto number generation:
% Let u be a uniform random sample from (0,1), then
% p = mode * (1-u)^(-1/shape)


% Take min or mode = 30, and shape = 2
u = rand(1,len);
p = 10 * (1-u).^(-1/2);
end
