function [original, reduced] = social_traffic_ratio(Adj_full, wifi_nodes, parent_degrees)
% Adj_full - adjacency matrix graph of all users - sparse(nxn)
% wifi_nodes - vector of all nodes with 1 or 0 for wifi-conection - sparse (1xn)
% parent_degrees - degree of wlan users in paent graph - (1xn)

subg_nodes = find(wifi_nodes);
if isempty(subg_nodes)
    original = -1;
    reduced = 1;
    return;
end

subg_count = length(subg_nodes);
sub_g = Adj_full(subg_nodes, subg_nodes);

if nnz(sub_g) == 0  % Sub-graph is totally empty
    original = -1;
    reduced = 1;
    return;
end

original = original_social_traffic(sub_g, parent_degrees(subg_nodes));
reduced = reduced_social_traffic(sub_g, parent_degrees(subg_nodes));
